uk.ac.starlink.gbin

## Interface GaiaTableMetadata

-     public interface GaiaTableMetadata

  Represents table metadata as extracted by `gaia.cu9.tools.documentationexport.MetadataReader`. An instance of this class corresponds to the extracted metadata for a table with a given table name, that name being known to the MetadataReader class. The method signatures are taken from MetadataReader, except that the initial `tableName` argument is removed from them all.

  I think that the term "parameter" in method names and formal arguments in these signatures indicates column names.

  Since:
    7 Jul 2016

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getParameterDescription(java.lang.String parameterName)` Returns a description of a named parameter of this table.
    `java.lang.String` | `getParameterDetailedDescription(java.lang.String parameterName)` Returns a detailed description of a named parameter of this table.
    `java.util.Map<java.lang.String,java.lang.String>` | `getParametersWithTypes()` Returns a map of parameter name to data type for this table.
    `java.lang.String` | `getTableDescription()` Returns a table description string.
    `java.util.List<?>` | `getUcds(java.lang.String parameterName)` Returns a list of UCD items for a named parameter of this table.

- - ### Method Detail

    - #### getTableDescription

          java.lang.String getTableDescription()

      Returns a table description string.
      Returns:
        table description

    - #### getParametersWithTypes

          java.util.Map<java.lang.String,java.lang.String> getParametersWithTypes()

      Returns a map of parameter name to data type for this table.
      Returns:
        data type map

    - #### getParameterDescription

          java.lang.String getParameterDescription(java.lang.String parameterName)

      Returns a description of a named parameter of this table.
      Parameters:
        `parameterName` - column name?
      Returns:
        description

    - #### getParameterDetailedDescription

          java.lang.String getParameterDetailedDescription(java.lang.String parameterName)

      Returns a detailed description of a named parameter of this table.
      Parameters:
        `parameterName` - column name?
      Returns:
        description

    - #### getUcds

          java.util.List<?> getUcds(java.lang.String parameterName)

      Returns a list of UCD items for a named parameter of this table. The returned list if of type `gaia.cu9.tools.documentationexport.xmlparser.XmlUcd`; the toString method of these can be used to turn them into strings. I think those strings are UCD atoms that can be concatenated with semicolons.
      Parameters:
        `parameterName` - column name?
      Returns:
        UCD atom list?